# Parameter Types

Zenlayer Cloud API 2.0 supports multiple parameter types as shown below:

## **String**

When defining a parameter of type string, an operator has a free text input element to enter a parameter value. You can specify the minimum or maximum number of characters that the operator can use.

## **Integer**

When defining a parameter of type integer, an operator has an integer input element to enter a parameter value. The integer upper limit is an unsigned 64-bit integer. The types supported by different programming languages in SDK are different. It is recommended to define the largest integer type in the programming language used, for example, `uint64` in Golang.

## **Boolean**

When defining a parameter of type Boolean, an operator has a toggle element to enter a parameter value.

## **Float**

When defining a parameter of type Float, an operator has a precision floating-point number element to enter a parameter value.

## **Double**

When defining a parameter of type Double, an operator has a double-precision floating-point number element to enter a parameter value. A Double has 2x the precision of Float.

## **Timestamp**

When defining a parameter of type Timestamp, an operator has a combined date and time element to enter a parameter value. For example, 2022-01-01T00:00:00Z.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/datatype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
